For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
OverviewCodaControlAPI ReferenceChangelog
OverviewCodaControlAPI ReferenceChangelog
  • Coda API
  • Control API
      • GETFetch Model
      • GETList Models
      • POSTRun Model
  • Stanza API
    • stanza
    • cli
    • context
    • device
    • exceptions
    • models
    • pyvisa
    • registry
    • timing
    • utils
LogoLogo
Control APIModels

Run Model

POST
https://api.conductorquantum.com/v0/models
POST
/v0/models
1from conductorquantum import ConductorQuantum
2
3client = ConductorQuantum(
4 token="YOUR_TOKEN",
5)
6
7with open("path/to/file.npy", "rb") as f:
8 client.control.models.run(
9 model="coulomb-blockade-peak-detector-v1",
10 data=f,
11 )
1{
2 "output": {
3 "peak_indices": [
4 10,
5 20,
6 30
7 ]
8 },
9 "id": "08047949-7263-4557-9122-ab293a49cae5",
10 "created_at": "2024-01-01T00:00:00",
11 "input_file_name": "data.npy",
12 "input_file_size": 123433,
13 "model": "coulomb-blockade-peak-detector-v1"
14}
Analyze your input data using the specified model. Upload a NumPy array (`.npy`) as the data file and specify the model ID. For more information about available models and their capabilities, see our [overview](/control/models/overview). This endpoint also supports the [Ising Decoding](/control/qec-decoding) models (`ising-decoding-v1-fast` and `ising-decoding-v1-accurate`) for AI-accelerated quantum error correction.
Was this page helpful?
Built with

Analyze your input data using the specified model. Upload a NumPy array (.npy) as the data file and specify the model ID. For more information about available models and their capabilities, see our overview.

This endpoint also supports the Ising Decoding models (ising-decoding-v1-fast and ising-decoding-v1-accurate) for AI-accelerated quantum error correction.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects a multipart form containing a file.
modelstringRequired
The model to run.
datafileRequired
The data to analyse.

Response

Successful Response
outputmap from strings to any
The output of the model
idstring
The external UUID of the model result
created_atstringformat: "date-time"
The UTC time the model result was created
input_file_namestring
The name of the input file
input_file_sizeinteger
The size of the input file in bytes
modelstring
The string ID of the model
user_voteinteger or null

Current user’s vote: 1, -1, or null

Errors

422
Unprocessable Entity Error